/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;

import org.sourceforge.writexml.Attributes;
import org.sourceforge.writexml.LanguageCode;
import org.sourceforge.writexml.Namespace;
import org.sourceforge.writexml.TagName;

import static org.sourceforge.writexml.Attribute.attribute;

abstract class BasicXhtmlTag<T extends BasicXhtmlTag<T, U>, U extends XhtmlTag> extends BaseXhtmlTag<T, U> {

    BasicXhtmlTag(final TagName tagName, final Attributes attributes, final Iterable<? extends U> children) {
        super(tagName, attributes, children);
    }

    public final T withDirection(final TextDirection textDirection) {
        return makeANewOne(attribute("dir", textDirection, NAMESPACE));
    }

    public final T withLanguage(final LanguageCode languageCode) {
        return makeANewOne(attribute("lang", languageCode, Namespace.XML));
    }
}
