/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;

import org.sourceforge.writexml.AttributeValue;

public final class Relationship extends UnaryMicrotype<String> implements AttributeValue {

    public static final Relationship ALTERNATE = relationship("alternate");
    public static final Relationship STYLESHEET = relationship("stylesheet");
    public static final Relationship START = relationship("start");
    public static final Relationship NEXT = relationship("next");
    public static final Relationship PREVIOUS = relationship("prev");
    public static final Relationship CONTENTS = relationship("contents");
    public static final Relationship INDEX = relationship("index");
    public static final Relationship GLOSSARY = relationship("glossary");
    public static final Relationship COPYRIGHT = relationship("copyright");
    public static final Relationship CHAPTER = relationship("chapter");
    public static final Relationship SECTION = relationship("section");
    public static final Relationship SUBSECTION = relationship("subsection");
    public static final Relationship APPENDIX = relationship("appendix");
    public static final Relationship HELP = relationship("help");
    public static final Relationship BOOKMARK = relationship("bookmark");

    private Relationship(final String value) {
        super(value);
    }

    public static Relationship relationship(final String value) {
        return new Relationship(value);
    }

    public String asString() {
        return value;
    }
}
